resource_group:  
  # TODO: Move to main pipeline
  # variables:
  #   AZURE_CLIENT_ID: "0053fd3f-c8a7-479f-9ac4-f863b5acbc46"
  #   AZURE_TENANT_ID: "47832e2c-ecb7-4a68-b534-b142a21317f0"
  #   rgname: "rg-dachser-poc"
  script:
    - |
      az login --service-principal -u $AZURE_CLIENT_ID -t $AZURE_TENANT_ID --federated-token $CI_JOB_JWT_V2
      az account show
      az group create -n $rgname -l "uksouth"